Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 228656 - Trigger generate test class with alt-insert
Trigger generate test class with alt-insert
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Test Runner
7.3
PC Linux
: P3 (vote)
: 8.0.1
Assigned To: Theofanis Oikonomou
issues@utilities
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-17 11:46 UTC by everflux
Modified: 2013-10-15 02:09 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description everflux 2013-04-17 11:46:53 UTC
I really miss the feature to be able to generate a test class without navigating to the projects/files, then using a two level deep context menu entry.

I therefore suggest
a) add "Create test class" to the <alt><insert> generate menu
b) If there is not test class and user uses <alt><ctrl>-T to switch to the test using a bubble or dialog to allow the user to create a test
Comment 1 everflux 2013-04-17 11:49:13 UTC
Just found the shortcut <ctrl><shift>-U, nevertheless <alt><insert> could be considered as well as the intention of the user to switch to a test (which not yet exists).

Please mention the shortcut(s) in https://netbeans.org/kb/docs/java/junit-intro.html
Comment 2 Theofanis Oikonomou 2013-09-04 14:37:04 UTC
(In reply to everflux from comment #0)
> I really miss the feature to be able to generate a test class without
> navigating to the projects/files, then using a two level deep context menu
> entry.
> 
> I therefore suggest
> a) add "Create test class" to the <alt><insert> generate menu

ashortcut already exists for that as you said. Please, use the Options->Keymaps to change it in order to meet your needs.

> b) If there is not test class and user uses <alt><ctrl>-T to switch to the
> test using a bubble or dialog to allow the user to create a test

fair enough. Planning for next ersion.

Thank you for reporting
Comment 3 Theofanis Oikonomou 2013-10-11 17:41:39 UTC
Fixed: http://hg.netbeans.org/core-main/rev/3445d9120af9
Comment 4 Quality Engineering 2013-10-15 02:09:13 UTC
Integrated into 'main-silver', will be available in build *201310150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3445d9120af9
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: #228656 - Trigger generate test class with alt-insert


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo